Commit 9e7710a1 authored by Christoph Berg's avatar Christoph Berg

Import Upstream version 0.9.32.2

parent d5ab1c6e
2007-12-21 rein couperus <rein@couperus.com>
* changed searchlog.c ('possible calls')
2007-12-18 rein couperus <rein@couperus.com>
* changed cluster_bg.c to fix possible buffer overflow
* changed searchlog.c -> compare now starts at beginning of callsign.
2003-09-10 dimiter (mitko) kroumov <lz3ny@bfra.org> 2003-09-10 dimiter (mitko) kroumov <lz3ny@bfra.org>
version 0.9.1: version 0.9.1:
......
...@@ -120,7 +120,7 @@ PTHREAD_CC = gcc ...@@ -120,7 +120,7 @@ PTHREAD_CC = gcc
PTHREAD_CFLAGS = PTHREAD_CFLAGS =
PTHREAD_LIBS = PTHREAD_LIBS =
SET_MAKE = SET_MAKE =
SHELL = /bin/bash SHELL = /bin/sh
STRIP = STRIP =
VERSION = 0.9.31 VERSION = 0.9.31
ac_ct_CC = gcc ac_ct_CC = gcc
......
tfl-0.9.31-2
============
Fixed 'possible calls' routine. It now looks into the own
log first before checking the callmaster database. Calls
can now be up to 12 characters
tlf-0.9.31
==========
Fix for buffer overflow
Changed 'worked' window. No search for partials.
tlf-0.8.20 tlf-0.8.20
========== ==========
......
...@@ -5689,25 +5689,19 @@ done ...@@ -5689,25 +5689,19 @@ done
# Set PACKAGE_DATA_DIR in config.h. # Set PACKAGE_DATA_DIR in config.h.
if test "x${datadir}" = 'x${prefix}/share'; then if test "x${prefix}" = "xNONE"; then
if test "x${prefix}" = "xNONE"; then cat >>confdefs.h <<_ACEOF
cat >>confdefs.h <<_ACEOF
@%:@define PACKAGE_DATA_DIR "${ac_default_prefix}/share/${PACKAGE}" @%:@define PACKAGE_DATA_DIR "${ac_default_prefix}/share/${PACKAGE}"
_ACEOF _ACEOF
else
cat >>confdefs.h <<_ACEOF
@%:@define PACKAGE_DATA_DIR "${prefix}/share/${PACKAGE}"
_ACEOF
fi
else else
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<_ACEOF
@%:@define PACKAGE_DATA_DIR "${datadir}/${PACKAGE}" @%:@define PACKAGE_DATA_DIR "${prefix}/share/${PACKAGE}"
_ACEOF _ACEOF
fi fi
ac_config_files="$ac_config_files Makefile doc/Makefile rules/Makefile scripts/Makefile share/Makefile src/Makefile tlf.1" ac_config_files="$ac_config_files Makefile doc/Makefile rules/Makefile scripts/Makefile share/Makefile src/Makefile tlf.1"
cat >confcache <<\_ACEOF cat >confcache <<\_ACEOF
......
...@@ -5689,25 +5689,19 @@ done ...@@ -5689,25 +5689,19 @@ done
# Set PACKAGE_DATA_DIR in config.h. # Set PACKAGE_DATA_DIR in config.h.
if test "x${datadir}" = 'x${prefix}/share'; then if test "x${prefix}" = "xNONE"; then
if test "x${prefix}" = "xNONE"; then cat >>confdefs.h <<_ACEOF
cat >>confdefs.h <<_ACEOF
@%:@define PACKAGE_DATA_DIR "${ac_default_prefix}/share/${PACKAGE}" @%:@define PACKAGE_DATA_DIR "${ac_default_prefix}/share/${PACKAGE}"
_ACEOF _ACEOF
else
cat >>confdefs.h <<_ACEOF
@%:@define PACKAGE_DATA_DIR "${prefix}/share/${PACKAGE}"
_ACEOF
fi
else else
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<_ACEOF
@%:@define PACKAGE_DATA_DIR "${datadir}/${PACKAGE}" @%:@define PACKAGE_DATA_DIR "${prefix}/share/${PACKAGE}"
_ACEOF _ACEOF
fi fi
ac_config_files="$ac_config_files Makefile doc/Makefile rules/Makefile scripts/Makefile share/Makefile src/Makefile tlf.1" ac_config_files="$ac_config_files Makefile doc/Makefile rules/Makefile scripts/Makefile share/Makefile src/Makefile tlf.1"
cat >confcache <<\_ACEOF cat >confcache <<\_ACEOF
......
# This file was generated by Autom4te Sat Apr 28 03:44:04 GMT 2007. # This file was generated by Autom4te Wed Dec 20 15:07:46 UTC 2006.
# It contains the lists of macros which have been traced. # It contains the lists of macros which have been traced.
# It can be safely removed. # It can be safely removed.
......
...@@ -905,12 +905,11 @@ m4trace:configure.in:52: -1- m4_pattern_allow([^pid_t$]) ...@@ -905,12 +905,11 @@ m4trace:configure.in:52: -1- m4_pattern_allow([^pid_t$])
m4trace:configure.in:53: -1- m4_pattern_allow([^size_t$]) m4trace:configure.in:53: -1- m4_pattern_allow([^size_t$])
m4trace:configure.in:54: -1- m4_pattern_allow([^TM_IN_SYS_TIME$]) m4trace:configure.in:54: -1- m4_pattern_allow([^TM_IN_SYS_TIME$])
m4trace:configure.in:58: -1- m4_pattern_allow([^HAVE_STRFTIME$]) m4trace:configure.in:58: -1- m4_pattern_allow([^HAVE_STRFTIME$])
m4trace:configure.in:64: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$]) m4trace:configure.in:63: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$])
m4trace:configure.in:66: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$]) m4trace:configure.in:65: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$])
m4trace:configure.in:69: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$]) m4trace:configure.in:69: -1- _m4_warn([obsolete], [AC_OUTPUT should be used without arguments.
m4trace:configure.in:72: -1- _m4_warn([obsolete], [AC_OUTPUT should be used without arguments.
You should run autoupdate.], []) You should run autoupdate.], [])
m4trace:configure.in:72: -1- m4_pattern_allow([^LIB@&t@OBJS$]) m4trace:configure.in:69: -1- m4_pattern_allow([^LIB@&t@OBJS$])
m4trace:configure.in:72: -1- m4_pattern_allow([^LTLIBOBJS$]) m4trace:configure.in:69: -1- m4_pattern_allow([^LTLIBOBJS$])
m4trace:configure.in:72: -1- _AC_AM_CONFIG_HEADER_HOOK([$ac_file]) m4trace:configure.in:69: -1- _AC_AM_CONFIG_HEADER_HOOK([$ac_file])
m4trace:configure.in:72: -1- _AM_OUTPUT_DEPENDENCY_COMMANDS m4trace:configure.in:69: -1- _AM_OUTPUT_DEPENDENCY_COMMANDS
...@@ -479,33 +479,31 @@ m4trace:configure.in:59: -1- AH_OUTPUT([HAVE_STRSPN], [/* Define to 1 if you hav ...@@ -479,33 +479,31 @@ m4trace:configure.in:59: -1- AH_OUTPUT([HAVE_STRSPN], [/* Define to 1 if you hav
#undef HAVE_STRSPN]) #undef HAVE_STRSPN])
m4trace:configure.in:59: -1- AH_OUTPUT([HAVE_STRSTR], [/* Define to 1 if you have the `strstr\' function. */ m4trace:configure.in:59: -1- AH_OUTPUT([HAVE_STRSTR], [/* Define to 1 if you have the `strstr\' function. */
#undef HAVE_STRSTR]) #undef HAVE_STRSTR])
m4trace:configure.in:64: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_DATA_DIR]) m4trace:configure.in:63: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_DATA_DIR])
m4trace:configure.in:64: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$]) m4trace:configure.in:63: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$])
m4trace:configure.in:66: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_DATA_DIR]) m4trace:configure.in:65: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_DATA_DIR])
m4trace:configure.in:66: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$]) m4trace:configure.in:65: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$])
m4trace:configure.in:69: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_DATA_DIR]) m4trace:configure.in:69: -1- AC_CONFIG_FILES([Makefile
m4trace:configure.in:69: -1- m4_pattern_allow([^PACKAGE_DATA_DIR$])
m4trace:configure.in:72: -1- AC_CONFIG_FILES([Makefile
doc/Makefile doc/Makefile
rules/Makefile rules/Makefile
scripts/Makefile scripts/Makefile
share/Makefile share/Makefile
src/Makefile src/Makefile
tlf.1]) tlf.1])
m4trace:configure.in:72: -1- _m4_warn([obsolete], [AC_OUTPUT should be used without arguments. m4trace:configure.in:69: -1- _m4_warn([obsolete], [AC_OUTPUT should be used without arguments.
You should run autoupdate.], []) You should run autoupdate.], [])
m4trace:configure.in:72: -1- AC_SUBST([LIB@&t@OBJS], [$ac_libobjs]) m4trace:configure.in:69: -1- AC_SUBST([LIB@&t@OBJS], [$ac_libobjs])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([LIB@&t@OBJS]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([LIB@&t@OBJS])
m4trace:configure.in:72: -1- m4_pattern_allow([^LIB@&t@OBJS$]) m4trace:configure.in:69: -1- m4_pattern_allow([^LIB@&t@OBJS$])
m4trace:configure.in:72: -1- AC_SUBST([LTLIBOBJS], [$ac_ltlibobjs]) m4trace:configure.in:69: -1- AC_SUBST([LTLIBOBJS], [$ac_ltlibobjs])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([LTLIBOBJS]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([LTLIBOBJS])
m4trace:configure.in:72: -1- m4_pattern_allow([^LTLIBOBJS$]) m4trace:configure.in:69: -1- m4_pattern_allow([^LTLIBOBJS$])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([top_builddir]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([top_builddir])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([srcdir]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([srcdir])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([abs_srcdir]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([abs_srcdir])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([top_srcdir]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([top_srcdir])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([abs_top_srcdir]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([abs_top_srcdir])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([builddir]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([builddir])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([abs_builddir]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([abs_builddir])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([abs_top_builddir]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([abs_top_builddir])
m4trace:configure.in:72: -1- AC_SUBST_TRACE([INSTALL]) m4trace:configure.in:69: -1- AC_SUBST_TRACE([INSTALL])
/* config.h. Generated from config.h.in by configure. */ /* config.h. Generated from config.h.in by configure. */
/* config.h.in. Generated from configure.in by autoheader. */ /* config.h.in. Generated from configure.in by autoheader. */
#define PACKAGE_DATA_DIR "${datarootdir}/tlf" #define PACKAGE_DATA_DIR "/usr/local/share/tlf"
/* Define to 1 if you have the <fcntl.h> header file. */ /* Define to 1 if you have the <fcntl.h> header file. */
#define HAVE_FCNTL_H 1 #define HAVE_FCNTL_H 1
......
...@@ -4,22 +4,22 @@ running configure, to aid debugging if configure makes a mistake. ...@@ -4,22 +4,22 @@ running configure, to aid debugging if configure makes a mistake.
It was created by src configure 0.9.31, which was It was created by src configure 0.9.31, which was
generated by GNU Autoconf 2.61. Invocation command line was generated by GNU Autoconf 2.61. Invocation command line was
$ ./configure $ ./configure --no-create --no-recursion
## --------- ## ## --------- ##
## Platform. ## ## Platform. ##
## --------- ## ## --------- ##
hostname = dopey hostname = hopey
uname -m = i686 uname -m = i686
uname -r = 2.6.22-14-generic uname -r = 2.6.20-16-generic
uname -s = Linux uname -s = Linux
uname -v = #1 SMP Sun Oct 14 23:05:12 GMT 2007 uname -v = #2 SMP Sun Sep 23 19:50:39 UTC 2007
/usr/bin/uname -p = unknown /usr/bin/uname -p = unknown
/bin/uname -X = unknown /bin/uname -X = unknown
/bin/arch = unknown /bin/arch = i686
/usr/bin/arch -k = unknown /usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown /usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown /usr/bin/hostinfo = unknown
...@@ -56,7 +56,7 @@ configure:2272: found /usr/bin/gcc ...@@ -56,7 +56,7 @@ configure:2272: found /usr/bin/gcc
configure:2283: result: gcc configure:2283: result: gcc
configure:2521: checking for C compiler version configure:2521: checking for C compiler version
configure:2528: gcc --version >&5 configure:2528: gcc --version >&5
gcc (GCC) 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2) gcc (GCC) 4.1.2 (Ubuntu 4.1.2-0ubuntu4)
Copyright (C) 2006 Free Software Foundation, Inc. Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
...@@ -65,9 +65,9 @@ configure:2531: $? = 0 ...@@ -65,9 +65,9 @@ configure:2531: $? = 0
configure:2538: gcc -v >&5 configure:2538: gcc -v >&5
Using built-in specs. Using built-in specs.
Target: i486-linux-gnu Target: i486-linux-gnu
Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.1.3 --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --enable-checking=release i486-linux-gnu Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --enable-checking=release i486-linux-gnu
Thread model: posix Thread model: posix
gcc version 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2) gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)
configure:2541: $? = 0 configure:2541: $? = 0
configure:2548: gcc -V >&5 configure:2548: gcc -V >&5
gcc: '-V' option must have argument gcc: '-V' option must have argument
...@@ -339,33 +339,7 @@ configure:5656: gcc -o conftest -g -O2 -Wall conftest.c -lncurses -lpthread -l ...@@ -339,33 +339,7 @@ configure:5656: gcc -o conftest -g -O2 -Wall conftest.c -lncurses -lpthread -l
conftest.c:59: warning: conflicting types for built-in function 'strstr' conftest.c:59: warning: conflicting types for built-in function 'strstr'
configure:5662: $? = 0 configure:5662: $? = 0
configure:5680: result: yes configure:5680: result: yes
configure:5827: creating ./config.status configure:5821: creating ./config.status
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by src config.status 0.9.31, which was
generated by GNU Autoconf 2.61. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status
on dopey
config.status:650: creating Makefile
config.status:650: creating doc/Makefile
config.status:650: creating rules/Makefile
config.status:650: creating scripts/Makefile
config.status:650: creating share/Makefile
config.status:650: creating src/Makefile
config.status:785: WARNING: src/Makefile.in seems to ignore the --datarootdir setting
config.status:650: creating tlf.1
config.status:650: creating config.h
config.status:934: executing depfiles commands
## ---------------- ## ## ---------------- ##
## Cache variables. ## ## Cache variables. ##
...@@ -479,7 +453,7 @@ PTHREAD_CC='gcc' ...@@ -479,7 +453,7 @@ PTHREAD_CC='gcc'
PTHREAD_CFLAGS='' PTHREAD_CFLAGS=''
PTHREAD_LIBS='' PTHREAD_LIBS=''
SET_MAKE='' SET_MAKE=''
SHELL='/bin/bash' SHELL='/bin/sh'
STRIP='' STRIP=''
VERSION='0.9.31' VERSION='0.9.31'
ac_ct_CC='gcc' ac_ct_CC='gcc'
...@@ -564,6 +538,48 @@ target_alias='' ...@@ -564,6 +538,48 @@ target_alias=''
#define HAVE_STRCSPN 1 #define HAVE_STRCSPN 1
#define HAVE_STRSPN 1 #define HAVE_STRSPN 1
#define HAVE_STRSTR 1 #define HAVE_STRSTR 1
#define PACKAGE_DATA_DIR "${datarootdir}/tlf" #define PACKAGE_DATA_DIR "/usr/local/share/tlf"
configure: exit 0 configure: exit 0
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by src config.status 0.9.31, which was
generated by GNU Autoconf 2.61. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status
on hopey
config.status:650: creating Makefile
config.status:650: creating doc/Makefile
config.status:650: creating rules/Makefile
config.status:650: creating scripts/Makefile
config.status:650: creating share/Makefile
config.status:650: creating src/Makefile
config.status:650: creating tlf.1
config.status:650: creating config.h
config.status:934: executing depfiles commands
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by src config.status 0.9.31, which was
generated by GNU Autoconf 2.61. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status config.h
on hopey
config.status:650: creating config.h
#! /bin/bash #! /bin/sh
# Generated by configure. # Generated by configure.
# Run this file to recreate the current configuration. # Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging # Compiler output produced by configure, useful for debugging
...@@ -7,7 +7,7 @@ ...@@ -7,7 +7,7 @@
debug=false debug=false
ac_cs_recheck=false ac_cs_recheck=false
ac_cs_silent=false ac_cs_silent=false
SHELL=${CONFIG_SHELL-/bin/bash} SHELL=${CONFIG_SHELL-/bin/sh}
## --------------------- ## ## --------------------- ##
## M4sh Initialization. ## ## M4sh Initialization. ##
## --------------------- ## ## --------------------- ##
...@@ -409,10 +409,10 @@ if $ac_cs_silent; then ...@@ -409,10 +409,10 @@ if $ac_cs_silent; then
fi fi
if $ac_cs_recheck; then if $ac_cs_recheck; then
echo "running CONFIG_SHELL=/bin/bash /bin/bash ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
CONFIG_SHELL=/bin/bash CONFIG_SHELL=/bin/sh
export CONFIG_SHELL export CONFIG_SHELL
exec /bin/bash "./configure" $ac_configure_extra_args --no-create --no-recursion exec /bin/sh "./configure" $ac_configure_extra_args --no-create --no-recursion
fi fi
exec 5>>config.log exec 5>>config.log
...@@ -500,7 +500,7 @@ if test -n "$CONFIG_FILES"; then ...@@ -500,7 +500,7 @@ if test -n "$CONFIG_FILES"; then
cat >"$tmp/subs-1.sed" <<\CEOF cat >"$tmp/subs-1.sed" <<\CEOF
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
s,@SHELL@,|#_!!_#|/bin/bash,g s,@SHELL@,|#_!!_#|/bin/sh,g
s,@PATH_SEPARATOR@,|#_!!_#|:,g s,@PATH_SEPARATOR@,|#_!!_#|:,g
s,@PACKAGE_NAME@,|#_!!_#|src,g s,@PACKAGE_NAME@,|#_!!_#|src,g
s,@PACKAGE_TARNAME@,|#_!!_#|src,g s,@PACKAGE_TARNAME@,|#_!!_#|src,g
...@@ -875,7 +875,7 @@ s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCHR\)[ (].*,\1define\2 1 , ...@@ -875,7 +875,7 @@ s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCHR\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCSPN\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCSPN\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSPN\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSPN\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSTR\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSTR\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_DATA_DIR\)[ (].*,\1define\2 "${datarootdir}/tlf" , s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_DATA_DIR\)[ (].*,\1define\2 "/usr/local/share/tlf" ,
s/ $// s/ $//
s,^[ #]*u.*,/* & */, s,^[ #]*u.*,/* & */,
CEOF CEOF
......
...@@ -533,7 +533,7 @@ s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g ...@@ -533,7 +533,7 @@ s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
s,@ECHO_C@,|#_!!_#|,g s,@ECHO_C@,|#_!!_#|,g
s,@ECHO_N@,|#_!!_#|-n,g s,@ECHO_N@,|#_!!_#|-n,g
s,@ECHO_T@,|#_!!_#|,g s,@ECHO_T@,|#_!!_#|,g
s,@LIBS@,|#_!!_#|-lpthread -lm ,g s,@LIBS@,|#_!!_#|-lncurses -lpthread -lm ,g
s,@build_alias@,|#_!!_#|,g s,@build_alias@,|#_!!_#|,g
s,@host_alias@,|#_!!_#|,g s,@host_alias@,|#_!!_#|,g
s,@target_alias@,|#_!!_#|,g s,@target_alias@,|#_!!_#|,g
...@@ -866,6 +866,7 @@ s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 , ...@@ -866,6 +866,7 @@ s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBM\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBM\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBPTHREAD\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBPTHREAD\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_PTHREAD\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_PTHREAD\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBNCURSES\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*WANT_HAMLIB\)[ (].*,\1define\2 0 , s,^\([ #]*\)[^ ]*\([ ]*WANT_HAMLIB\)[ (].*,\1define\2 0 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRFTIME\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRFTIME\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_FLOOR\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_FLOOR\)[ (].*,\1define\2 1 ,
...@@ -874,7 +875,7 @@ s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCHR\)[ (].*,\1define\2 1 , ...@@ -874,7 +875,7 @@ s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCHR\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCSPN\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRCSPN\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSPN\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSPN\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSTR\)[ (].*,\1define\2 1 , s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSTR\)[ (].*,\1define\2 1 ,
s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_DATA_DIR\)[ (].*,\1define\2 "${datarootdir}/tlf" , s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_DATA_DIR\)[ (].*,\1define\2 "/usr/local/share/tlf" ,
s/ $// s/ $//
s,^[ #]*u.*,/* & */, s,^[ #]*u.*,/* & */,
CEOF CEOF
...@@ -884,7 +885,7 @@ ac_result="$tmp/out1" ...@@ -884,7 +885,7 @@ ac_result="$tmp/out1"
echo "/* $configure_input */" >"$tmp/config.h" echo "/* $configure_input */" >"$tmp/config.h"
cat "$ac_result" >>"$tmp/config.h" cat "$ac_result" >>"$tmp/config.h"
if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
{ echo "$as_me:887: $ac_file is unchanged" >&5 { echo "$as_me:888: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;} echo "$as_me: $ac_file is unchanged" >&6;}
else else
rm -f $ac_file rm -f $ac_file
...@@ -930,7 +931,7 @@ echo X$ac_file | ...@@ -930,7 +931,7 @@ echo X$ac_file |
s/.*/./; q'`/stamp-h$_am_stamp_count s/.*/./; q'`/stamp-h$_am_stamp_count
;; ;;
:C) { echo "$as_me:933: executing $ac_file commands" >&5 :C) { echo "$as_me:934: executing $ac_file commands" >&5
echo "$as_me: executing $ac_file commands" >&6;} echo "$as_me: executing $ac_file commands" >&6;}
;; ;;
esac esac
...@@ -1052,7 +1053,7 @@ echo X"$as_dir" | ...@@ -1052,7 +1053,7 @@ echo X"$as_dir" |
test -d "$as_dir" && break test -d "$as_dir" && break
done done
test -z "$as_dirs" || eval "mkdir $as_dirs" test -z "$as_dirs" || eval "mkdir $as_dirs"
} || test -d "$as_dir" || { { echo "$as_me:1055: error: cannot create directory $as_dir" >&5 } || test -d "$as_dir" || { { echo "$as_me:1056: error: cannot create directory $as_dir" >&5
echo "$as_me: error: cannot create directory $as_dir" >&2;} echo "$as_me: error: cannot create directory $as_dir" >&2;}
{ (exit 1); exit 1; }; }; } { (exit 1); exit 1; }; }; }
# echo "creating $dirpart/$file" # echo "creating $dirpart/$file"
......
...@@ -5689,25 +5689,19 @@ done ...@@ -5689,25 +5689,19 @@ done
# Set PACKAGE_DATA_DIR in config.h. # Set PACKAGE_DATA_DIR in config.h.
if test "x${datadir}" = 'x${prefix}/share'; then if test "x${prefix}" = "xNONE"; then
if test "x${prefix}" = "xNONE"; then cat >>confdefs.h <<_ACEOF
cat >>confdefs.h <<_ACEOF
#define PACKAGE_DATA_DIR "${ac_default_prefix}/share/${PACKAGE}" #define PACKAGE_DATA_DIR "${ac_default_prefix}/share/${PACKAGE}"
_ACEOF _ACEOF
else
cat >>confdefs.h <<_ACEOF
#define PACKAGE_DATA_DIR "${prefix}/share/${PACKAGE}"
_ACEOF
fi
else else
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<_ACEOF
#define PACKAGE_DATA_DIR "${datadir}/${PACKAGE}" #define PACKAGE_DATA_DIR "${prefix}/share/${PACKAGE}"
_ACEOF _ACEOF
fi fi
ac_config_files="$ac_config_files Makefile doc/Makefile rules/Makefile scripts/Makefile share/Makefile src/Makefile tlf.1" ac_config_files="$ac_config_files Makefile doc/Makefile rules/Makefile scripts/Makefile share/Makefile src/Makefile tlf.1"
cat >confcache <<\_ACEOF cat >confcache <<\_ACEOF
......
...@@ -59,16 +59,13 @@ AC_FUNC_STRFTIME ...@@ -59,16 +59,13 @@ AC_FUNC_STRFTIME
AC_CHECK_FUNCS([floor sqrt strchr strcspn strspn strstr]) AC_CHECK_FUNCS([floor sqrt strchr strcspn strspn strstr])
# Set PACKAGE_DATA_DIR in config.h. # Set PACKAGE_DATA_DIR in config.h.
if test "x${datadir}" = 'x${prefix}/share'; then if test "x${prefix}" = "xNONE"; then
if test "x${prefix}" = "xNONE"; then AC_DEFINE_UNQUOTED(PACKAGE_DATA_DIR,"${ac_default_prefix}/share/${PACKAGE}")
AC_DEFINE_UNQUOTED(PACKAGE_DATA_DIR, "${ac_default_prefix}/share/${PACKAGE}")
else
AC_DEFINE_UNQUOTED(PACKAGE_DATA_DIR, "${prefix}/share/${PACKAGE}")
fi
else else
AC_DEFINE_UNQUOTED(PACKAGE_DATA_DIR, "${datadir}/${PACKAGE}") AC_DEFINE_UNQUOTED(PACKAGE_DATA_DIR, "${prefix}/share/${PACKAGE}")
fi fi
AC_OUTPUT([Makefile AC_OUTPUT([Makefile
doc/Makefile doc/Makefile
rules/Makefile rules/Makefile
......
...@@ -91,7 +91,7 @@ PTHREAD_CC = gcc ...@@ -91,7 +91,7 @@ PTHREAD_CC = gcc
PTHREAD_CFLAGS = PTHREAD_CFLAGS =
PTHREAD_LIBS = PTHREAD_LIBS =
SET_MAKE = SET_MAKE =
SHELL = /bin/bash SHELL = /bin/sh
STRIP = STRIP =
VERSION = 0.9.31 VERSION = 0.9.31
ac_ct_CC = gcc ac_ct_CC = gcc
......
tlf-0.9.31-2
============
'Possible calls' are now in top left corner, and share the space with
the keyer. The 'possible calls' routine first checks the own log
and then the callmasterdatabase.
tlf-0.9.31
==========
'Worked' window now searches from start of callsign.
tlf-0.9.30 tlf-0.9.30
========== ==========
Bug fixes: Bug fixes:
......
...@@ -100,7 +100,7 @@ PTHREAD_CC = gcc ...@@ -100,7 +100,7 @@ PTHREAD_CC = gcc
PTHREAD_CFLAGS = PTHREAD_CFLAGS =
PTHREAD_LIBS = PTHREAD_LIBS =
SET_MAKE = SET_MAKE =
SHELL = /bin/bash SHELL = /bin/sh
STRIP = STRIP =
VERSION = 0.9.31 VERSION = 0.9.31
ac_ct_CC = gcc ac_ct_CC = gcc
......
...@@ -91,7 +91,7 @@ PTHREAD_CC = gcc ...@@ -91,7 +91,7 @@ PTHREAD_CC = gcc
PTHREAD_CFLAGS = PTHREAD_CFLAGS =
PTHREAD_LIBS = PTHREAD_LIBS =
SET_MAKE = SET_MAKE =
SHELL = /bin/bash SHELL